hurdle.control {pscl} | R Documentation

## Control Parameters for Hurdle Count Data Regression

### Description

Various parameters that control fitting of hurdle regression models using `hurdle`.

### Usage

    hurdle.control(method = "BFGS", maxit = 10000, trace = FALSE,
      separate = TRUE, start = NULL, ...)

### Arguments

`method` | characters string specifying the `method` argument passed to `optim`.
`maxit` | integer specifying the `maxit` argument (maximal number of iterations) passed to `optim`.
`trace` | logical or integer controlling whether tracing information on the progress of the optimization should be produced (passed to `optim`).
`separate` | logical. Should the estimation of the parameters in the truncated count component and hurdle zero component be carried out separately? See details.
`start` | an optional list with elements `"count"` and `"zero"` (and potentially `"theta"`) containing the coefficients for the corresponding component.
`...` | arguments passed to `optim`.

### Details

All parameters in `hurdle` are estimated by maximum likelihood using `optim` with control options set in `hurdle.control`. Most arguments are passed on directly to `optim`, only `trace` is also used within `hurdle` and `separate`/`start` control how `optim` is called.

Starting values can be supplied via `start` or estimated by `glm.fit` (default). If `separate = TRUE` (default) the likelihoods of the truncated count component and the hurdle zero component will be maximized separately, otherwise the joint likelihood is set up and maximized. Standard errors are derived numerically using the Hessian matrix returned by `optim`. To supply starting values, `start` should be a list with elements `"count"` and `"zero"` and potentially `"theta"` (a named vector, for models with negative binomial components only) containing the starting values for the coefficients of the corresponding component of the model.

### Value

A list with the arguments specified.

### Author(s)

Achim Zeileis <Achim.Zeileis@R-project.org>

### See Also

`hurdle`

### Examples

    data("bioChemists", package = "pscl")

    ## default start values
    fm1 <- hurdle(art ~ fem + ment, data = bioChemists,
                  dist = "negbin", zero = "negbin")

    ## user-supplied start values and other options
    fm2 <- hurdle(art ~ fem + ment, data = bioChemists,
                  dist = "negbin",
                  zero = "negbin",
                  trace=TRUE,
                  separate=FALSE,
                  start = list(count = c(0.3, -0.2, 0),
                               zero = c(4, -2, 0.8),
                               theta = c(count = 2, zero = 0.1)))

[Package pscl version 1.5.2 Index]